require "Insurgent/Traits/LoadoutRiflemanTrait"

LoadoutRiflemanTrait.description  = getText("UI_trait_LoadoutRiflemanDesc_BRITA_VERSION")

function LoadoutRiflemanTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutRifleman") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.XM117", {"Base.Sight_Aimpoint", "Base.Sling_3", "Base.Compensator", "Base.Laser_Red"})
    InsurgentWeaponUtil.addMags(player, "Base.556Clip", 6)
    InsurgentWeaponUtil.equipAndFullyLoadWeapon(player, weapon, "Base.556Clip")
end
